Subject: Re: bug#21998: Run 'make change-history' on release branch

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Mar 2016 20:30:12 +0200

> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked]
> Date: Tue, 08 Mar 2016 13:23:20 -0500
> 
>   > > In concrete terms, what is the problem with these mistakes?
> 
>   > The mistakes are not being corrected.
> 
> If some people don't correct some mistakes, that is unfortunate,
> but the existence of the file ChangeLog does no harm in that case.
> It merely provides an opportunity that was missed.
> The file imposes no extra work when people leave mistakes uncorrected.
> 
> When some mistakes do get corrected, then the file does good.
> 
> Moreover someone else who notices the mistake could correct it later.

I agree, but you seem to assume that ChangeLog files are kept in the
repository.  If they were, there wouldn't be a problem.  They aren't;
they are generated from Git log.  And mistakes in Git log cannot be
fixed.